Page MenuHomePhabricator

Make Wikibase wb_terms term_text index the same as wb_terms_text in WMF production
Closed, ResolvedPublic5 Estimated Story Points

Description

T85414#4597677 details the current differences between the Wikibase DB schema as written in code and deployed to the WMF.

wb_terms_text is only in prod
term_text is created on install
term_text includes term_language, however wb_terms_text does not.

We need to

  • rename the term_text index to match the wb_terms_text name used in production
  • remove the usage of term_language by the index

Priority & Impact
Having differing schema between WMF production and what we use elsewhere and in development causes outages like the tmp1 outage.
The tmp1 index caused a massive outage, we want to avoid doing that in the future.
This task is small and should be easy to complete so lets get it done and avoid it sitting here for a year, at which point we may have forgotten about the hardships that it caused.

Acceptance Criteria

  • Wikibase users upgrading from a version prior to this patch will have the index adjusted
  • Wikibase users installing a fresh install will have the correct index
  • The index should appear exactly as it does in WMF production

Event Timeline

Addshore triaged this task as Medium priority.Sep 19 2018, 3:50 PM
Addshore created this task.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Marostegui edited projects, added User-Marostegui; removed DBA.Sep 19 2018, 5:30 PM
Marostegui added subscribers: Banyek, jcrespo.

Change 463302 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] Changing term_text, term_search_key and wb_terms_entity_id indices

https://gerrit.wikimedia.org/r/463302

Change 463956 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] Changing term_text, etc. whitespacefix

https://gerrit.wikimedia.org/r/463956

Change 463956 abandoned by Matthias Geisler:
Changing term_text, etc. whitespacefix

Reason:
Abandoned because this should be fixed by the previous patch and I it was just a misunderstanding of the usage of gerrit.

https://gerrit.wikimedia.org/r/463956

Addshore removed Matthias_Geisler_WMDE as the assignee of this task.Oct 9 2018, 10:03 AM
Addshore assigned this task to WMDE-leszek.
Addshore added a subscriber: Matthias_Geisler_WMDE.

Change 463302 abandoned by WMDE-leszek:
Adjust wb_terms SQL indexes to match WMF production

Reason:
squashed into I152ca2233afbdc7a9c95b27eb5e649f61e901ede

https://gerrit.wikimedia.org/r/463302

Change 463302 restored by WMDE-leszek:
Adjust wb_terms SQL indexes to match WMF production

https://gerrit.wikimedia.org/r/463302

Change 466899 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Replaced term_text SQL index with wb_terms_text

https://gerrit.wikimedia.org/r/466899

Change 466899 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Replaced term_text SQL index with wb_terms_text

https://gerrit.wikimedia.org/r/466899

Change 463302 abandoned by WMDE-leszek:
Adjust wb_terms SQL indexes to match WMF production

https://gerrit.wikimedia.org/r/463302

Addshore closed this task as Resolved.Nov 14 2018, 1:21 PM

Everything now looks great on a fresh install